[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Grids' (#lcl)

# TCustomGrid.EditorSelectAll

Performs actions to select the entire content in the current cell.

## Declaration

Source position: grids.pas line 1079

`protected procedure TCustomGrid.EditorSelectAll;`

## Description

EditorSelectAll is a method used to select the entire content in the current cell when the Editor is active and visible. EditorSelectAll creates, configures, and dispatches a TGridMessage using the GM_SELECTALL message constant to the Editor in the grid control.

No actions are performed in the method when Editor has not been assigned (contains Nil).

EditorSelectAll is called from the EditorShow method when its SelAll argument is set to True, and from the IMEStartComposition method.